Skip to main content
POST
Retrieve Transaction Status
For a usage description of the Payment Initiation Service, please refer to the Payment Services page.

Endpoint

POST /payments/status

Authorizations

Authorization
string
header
required

Bearer token obtained from POST /auth. Valid for 60 minutes.

Body

application/json
referenceId
string
required

Unique identifier for the transaction generated from the Initiate Payment API call.

Example:

"uniqueRefId123"

Response

Successfully retrieved transaction status.

status
enum<string>
required

Transaction status.

Available options:
PROCESSING,
SUCCESS,
INITIATED,
PENDING,
PENDING_EXTERNAL_AUTHORIZATION,
FAILURE_GENERIC,
FAILURE_PERMISSION_DENIED,
FAILURE_CANCELED,
FAILURE_EXPIRED,
FAILURE_INSUFFICIENT_FUNDS,
FAILURE_DECLINED,
SETTLEMENT_IN_PROGRESS,
SETTLEMENT_COMPLETED,
SETTLEMENT_INCOMPLETE,
COMPLETED,
FAILED
Example:

"PENDING"

statusReasonInformation
string

Additional details about the status.

Example:

"User redirected to bank."